[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComCtrls' (#lcl)

# TTreeNode.BottomExpanded

Gets the bottom coordinate for the last visible, expanded child node in the subtree.

## Declaration

Source position: comctrls.pp line 3094

`public function TTreeNode.BottomExpanded: Integer;`

## Function result

Bottom coordinate for the last node in the subtree.

## Description

BottomExpanded is an Integer function used to get the bottom coordinate for the node subtree when it is expanded.

If the tree node has a visible sibling, the value in its Top property is used as the return value. When a sibling node does not exist, the bottom coordinate for the last visible and expanded child node is used. If the current node does not have child nodes, the value in the Bottom property is used as the return value.